- Aldebaran documentation |
- C++ Libraries |
- index

alrobotmodel 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Sim::Frame Class Reference

Frame defines a position in space and has a name. More...

`#include <alrobotmodel.h>`

## Public Member Functions
| Frame ()
| creates an empty Frame, you should not use this. More...
| ~Frame ()
| destructor. More...
const std::string & | name () const
| returns the name of the Frame. More...
const AL::Math::Transform & | position () const
| returns the position of the Frame. More...
const Frame * | parentFrame () const
| returns the frame in which the position is defined. More...
const AL::Math::Transform & | localPosition () const
| returns the position of the Frame frame in the parent Frame. More...

## Static Public Member Functions
static AL::Math::Transform | globalPosition (const Frame *frame)
| returns the position of the Frame frame in global Frame (generally robot's Torso). More...

## Public Attributes
class FrameImpl * | a_impl
| private implementation. More...

## Detailed Description

Frame defines a position in space and has a name.

Definition at line 407 of file alrobotmodel.h.

## Constructor & Destructor Documentation

Sim::Frame::Frame | ( |  | ) |

creates an empty Frame, you should not use this.

Warning
  The Frame being empty, every access to this object will throw.

Sim::Frame::~Frame | ( |  | ) |

destructor.

## Member Function Documentation

static AL::Math::Transform Sim::Frame::globalPosition | ( | const Frame * | frame | ) |
| static

returns the position of the Frame frame in global Frame (generally robot's Torso).

Remarks
  See the C++ reference of libalmath in Aldebaran's Documentation for more details on AL::Math::Transform.

const AL::Math::Transform& Sim::Frame::localPosition | ( |  | ) | const

returns the position of the Frame frame in the parent Frame.

Remarks
  See the C++ reference of libalmath in Aldebaran's Documentation for more details on AL::Math::Transform.

const std::string& Sim::Frame::name | ( |  | ) | const

returns the name of the Frame.

const Frame* Sim::Frame::parentFrame | ( |  | ) | const

returns the frame in which the position is defined.

const AL::Math::Transform& Sim::Frame::position | ( |  | ) | const

returns the position of the Frame.

Remarks
  See the C++ reference of libalmath in Aldebaran's

Deprecated:
  Documentation for more details on AL::Math::Transform.

## Member Data Documentation

class FrameImpl* Sim::Frame::a_impl

private implementation.

Definition at line 435 of file alrobotmodel.h.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/agility/alrobotmodel/libalrobotmodel/alrobotmodel/alrobotmodel.h